OfficeGest
Workshop/Service orders

Create service order

Creates a service order using the v2 modern payload.

POST
/workshop/service-orders
AuthorizationBearer <token>

In: header

platestring

Vehicle plate.

customer_id?integer

Billing customer id. When omitted it is inferred from vehicle.

km_counter?number

Current odometer value.

observations?string

General observations.

department_id?integer

Workshop department id.

appointment_date?string

Appointment date.

Formatdate
appointment_interval?string

Appointment interval in HH:MM-HH:MM format.

expected_delivery_date?string

Planned delivery date.

Formatdate
awaiting_authorization?boolean

Marks the service order as awaiting authorization.

status?string
Value in"ESP" | "RAS"
currency_code?string
series?string
reception_date?string
Formatdate
signature?string
image_vehicle?string
linesarray<object>

Service order lines.

interventions?array<object>

Optional service order interventions.

Response Body

curl -X POST "https://og-tenant1.test:8003/api/v2/workshop/service-orders" \
  -H "Content-Type: application/json" \
  -d '{
    "plate": "string",
    "lines": [
      {
        "article_id": "string",
        "quantity": 0,
        "unit_price": 0
      }
    ]
  }'
{
  "data": {
    "number": 0,
    "document_number": "string",
    "status": "string",
    "date": "string",
    "plate": "string",
    "customer_id": 0,
    "total": 0,
    "observations": "string"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}